Please merge dhelp 0.6.12 (universe) from Debian unstable (main).

Bug #256506 reported by Bhavani Shankar on 2008-08-10
8
Affects Status Importance Assigned to Milestone
dhelp (Ubuntu)
Wishlist
Unassigned

Bug Description

Debian has a new version which needs to be merged.

Related branches

Daniel Holbach (dholbach) wrote :

Even if it was OK to drop the firefox-3.0/firefox change (I'm not it's OK), what about this change

    - Exit zero if the bdb module is not available; this usually indicates
      that dhelp is not configured yet.

Changed in dhelp:
status: New → Incomplete
Bhavani Shankar (bhavi) wrote :

OK daniel here is the debdiff:

Changed in dhelp:
status: Incomplete → Confirmed
Daniel Holbach (dholbach) wrote :

What is

+ * Bring the version in the Makefile and the one in debian/changelog
+ into sync.

about?

Other than that it looks good.

Bhavani Shankar (bhavi) wrote :

Daniel, the version in the Makefile was 0.6.10 and that in the changelog was 0.6.12 So I made both the versions to be equal. So the above statement.

Regards

description: updated
Nathan Handler (nhandler) wrote :

Bhavani, please be sure to update the bug title and description when you change a bug from a sync to a merge or vice versa. Otherwise, a user has to read through all of the comments to learn that this change has occurred. I have taken care of updating the title and description for this bug.

Daniel Holbach (dholbach) wrote :

There's no change of the Makefile in http://launchpadlibrarian.net/16852261/debian.debdiff

Bhavani Shankar (bhavi) wrote :

Okay I ll remove that line..

Bhavani Shankar (bhavi) wrote :

Okay sir here is the changed debdiff

Nathan Handler (nhandler) wrote :

'xpdf-utils' is a Dependency in Debian. You drop this dependency and make it a suggested package. Is there a reason for this? From looking at the Debian changelog, it looks like dhelp needs 'pdftotext' which comes with 'xpdf-utils'.

Changed in dhelp:
assignee: nobody → bhavi
status: Confirmed → Incomplete
Bhavani Shankar (bhavi) wrote :

yes nathan since pdftotext comes with xpdf-utils I made it a suggested package and since that dependency does not affect the build, I made it as a suggested package.

Changed in dhelp:
assignee: bhavi → nobody
status: Incomplete → Confirmed
Bhavani Shankar (bhavi) wrote :

OK here is the changed debdiff:

Daniel Holbach (dholbach) wrote :

You mention the firefox-3.0 Recommends in debian/control, but it's not in the patch.

Changed in dhelp:
status: Confirmed → Incomplete
Bhavani Shankar (bhavi) wrote :

Okay sir! I missed it out:

Changed in dhelp:
status: Incomplete → Confirmed
Daniel Holbach (dholbach) wrote :

 - You seem to introduce a bunch of whitespace changes in debian/changelog in your patch.
 - Should the version in the Makefile be 0.6.12ubuntu1?

Changed in dhelp:
status: Confirmed → Incomplete
Bhavani Shankar (bhavi) wrote :

whitespace changes are due to GPG not able to verify the signatures and its a tool error and since the current version we are merging is 0.6.12ubuntu1 Makefile version should also be the same I believe.

Regards

Changed in dhelp:
status: Incomplete → Confirmed
Daniel Holbach (dholbach) wrote :

No... the whitespace changes are not introduced by GPG. I'm talking about stuff like this in the debian/changelog portion of the diff:

  -- Marco Budde <email address hidden> Tue, 21 Mar 2000 21:24:09 +0100
-
+
 dhelp (0.3.21) unstable frozen; urgency=low

Daniel Holbach (dholbach) wrote :

Also the diff has no changes to the Makefile file.

Bhavani Shankar (bhavi) wrote :

Daniel, Here is the error I get:

gpg: Signature made Wednesday 23 July 2008 04:27:13 PM IST using DSA key ID BD540EC1
gpg: Can't check signature: public key not found

Regards

Bhavani Shankar (bhavi) wrote :

Its a FTBFS on my system.

dpkg-source: info: unpacking dhelp_0.6.12ubuntu1.tar.gz
 -> Building the package
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package dhelp
dpkg-buildpackage: source version 0.6.12ubuntu1
dpkg-buildpackage: source changed by Bhavani Shankar <email address hidden>
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
test -x debian/rules
dh_testroot
dh_clean
/usr/bin/make -C . CFLAGS="-g -O2 -g -Wall -O2" CXXFLAGS="-g -O2 -g -Wall -O2" CPPFLAGS="" LDFLAGS="-Wl,-Bsymbolic-functions" -k clean
make[1]: Entering directory `/tmp/buildd/dhelp-0.6.12ubuntu1'
make[1]: *** No rule to make target `clean'.
make[1]: Leaving directory `/tmp/buildd/dhelp-0.6.12ubuntu1'
make: [makefile-clean] Error 2 (ignored)
rm -f debian/stamp-makefile-build
 dpkg-source -b dhelp-0.6.12ubuntu1
dpkg-source: info: using source format `1.0'
dpkg-source: info: building dhelp in dhelp_0.6.12ubuntu1.tar.gz
dpkg-source: info: building dhelp in dhelp_0.6.12ubuntu1.dsc
 debian/rules build
test -x debian/rules
mkdir -p "."
/usr/bin/make -C . CFLAGS="-g -O2 -g -Wall -O2" CXXFLAGS="-g -O2 -g -Wall -O2" CPPFLAGS="" LDFLAGS="-Wl,-Bsymbolic-functions"
make[1]: Entering directory `/tmp/buildd/dhelp-0.6.12ubuntu1'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/tmp/buildd/dhelp-0.6.12ubuntu1'
touch debian/stamp-makefile-build
DEB_MAKE_CHECK_TARGET unset, not running checks
 fakeroot debian/rules binary
test -x debian/rules
dh_testroot
dh_clean -k
dh_installdirs -A
mkdir -p "."
DEB_MAKE_CHECK_TARGET unset, not running checks
/usr/bin/make -C . CFLAGS="-g -O2 -g -Wall -O2" CXXFLAGS="-g -O2 -g -Wall -O2" CPPFLAGS="" LDFLAGS="-Wl,-Bsymbolic-functions" install DESTDIR=/tmp/buildd/dhelp-0.6.12ubuntu1/debian/dhelp/ PREFIX=/usr
make[1]: Entering directory `/tmp/buildd/dhelp-0.6.12ubuntu1'
Version mismatch: debian/changelog says 0.6.12ubuntu1, Makefile 0.6.12
make[1]: *** [checkversion] Error 1
make[1]: Leaving directory `/tmp/buildd/dhelp-0.6.12ubuntu1'
make: *** [common-install-impl] Error 2
dpkg-buildpackage: failure: fakeroot debian/rules binary gave error exit status 2
pbuilder: Failed autobuilding of package
 -> Aborting with an error
 -> unmounting dev/pts filesystem
 -> unmounting proc filesystem
 -> cleaning the build env
    -> removing directory /var/cache/pbuilder/build//7238 and its subdirectories

Changed in dhelp:
status: Confirmed → New
Daniel Holbach (dholbach) wrote :

Version mismatch: debian/changelog says 0.6.12ubuntu1, Makefile 0.6.12

Try using 0.6.12ubuntu1 in both.

Changed in dhelp:
assignee: nobody → bhavi
status: New → Incomplete
Bhavani Shankar (bhavi) wrote :

Yes holbach... Done...

Changed in dhelp:
assignee: bhavi → nobody
status: Incomplete → Confirmed
Daniel Holbach (dholbach) wrote :

It looks good, but needs approval from motu-release.

Scott Kitterman (kitterman) wrote :

I'm personally not comfortable with modifying previous debian/changelog entries as this diff does.

Daniel Holbach (dholbach) wrote :

Right. Bhavani, can you take a look at https://bugs.launchpad.net/ubuntu/+source/dhelp/+bug/256506/comments/16 and remove the whitespace changes please?

I'd like to see some rationale for why this needs updating now. Since it's a
native package, I don't think a full FFe is needed if it's otherwise
sensible.

Cesare Tirabassi (norsetto) wrote :

Setting to incomplete.

Changed in dhelp:
status: Confirmed → Incomplete
Bhavani Shankar (bhavi) wrote :

okay! done and uploaded to my ppa.

Bhavani Shankar (bhavi) wrote :

After FF I ll upload the diff..

Changed in dhelp:
status: Incomplete → New

>okay! done and uploaded to my ppa.

We need the debdiff in the bug. PPA is not part of getting the update into Ubuntu.

Cesare Tirabassi (norsetto) wrote :

Note that for the purpose of the FFe we don't need a Debian->Ubuntu debdiff, we need the real diff between the version currently in the archive and the proposed one. A Changelog/NEWS diff is also appreciated.

Changed in dhelp:
status: New → Incomplete
Bhavani Shankar (bhavi) wrote :

Okay cesare here it is..

Changed in dhelp:
status: Incomplete → Confirmed
Cesare Tirabassi (norsetto) wrote :

Please don't set the status to Confirmed (which means FFe granted).

Changed in dhelp:
status: Confirmed → New
Cesare Tirabassi (norsetto) wrote :

These changes look harmless enough to me as well as qualifying as bug-fix only; I tend to agree with ScottK (see comment #25) that a full FFe is not justified. Unless somebody object I would say that you may proceed with sponsoring.

Luca Falavigna (dktrkranz) wrote :

Changes are bugfixes only, this merge would close bug #231853 as well.
+1 here and setting to Confirmed given previous comment from Scott and Cesare.

Changed in dhelp:
status: New → Confirmed
Luca Falavigna (dktrkranz) wrote :

Bhavani, mind uploading a mimimal debian -> ubuntu debdiff (see comment #24)? Thanks!

Bhavani Shankar (bhavi) wrote :

ok luca.. Here it is...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dhelp - 0.6.12ubuntu1

---------------
dhelp (0.6.12ubuntu1) intrepid; urgency=low

   * Merge from debian unstable, remaining changes: (LP: #256506)
    - Recommends: firefox-3.0.
    - Exit zero if the bdb module is not available; this usually
      indicates that dhelp is not configured yet.
    - Bring the version in the Makefile and the one in debian/changelog into
      sync.

dhelp (0.6.12) unstable; urgency=low

  * Switch from pstotext to pdftotext from xpdf-utils for PDF files. It
    seems much more reliable (less "random" errors when parsing documents).
    Hopefully closes: #475655.
  * Use /var/lib/dhelp/tmp instead of /var/tmp for temporary files, to avoid
    possible security issues (thanks Laurent Bonnaud).

dhelp (0.6.11) unstable; urgency=low

  * Don't panic even if the document doesn't declare any files (???). Also add
    some useful debug information if that happens (Closes: #490577).
  * Bump Standards-Version to 3.8.0.

 -- Bhavani Shankar <email address hidden> Thu, 28 Aug 2008 14:39:28 +0530

Changed in dhelp:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers